---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dailytxt
spec:
  selector:
    matchLabels:
      container: dailytxt
  template:
    metadata:
      labels:
        container: dailytxt
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: ALLOW_REGISTRATION
          value: 'false'
        - name: DATA_INDENT
          value: '2'
        - name: ENABLE_UPDATE_CHECK
          value: 'True'
        - name: JWT_EXP_DAYS
          value: '60'
        - name: PORT
          value: '8765'
        - name: SECRET_KEY
          value: 47ada9ba90d680c38b541894e0d60f9b
        image: phitux/dailytxt:1.0.15
        name: dailytxt
        volumeMounts:
        - mountPath: /app/data/
          name: longhorn-own-data
          subPath: data/dailytxt
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

